using DbController;

namespace Tabletop.Core.Models
{
    public class Elimination
    {
        [CompareField("elimination_id")]
        public int EliminationId { get; set; }
        [CompareField("move_id")]
        public int MoveId { get; set; }
        [CompareField("team_id")]
        public int TeamId { get; set; }
        [CompareField("atk_id")]
        public int AtkId { get; set; }
        [CompareField("atk_unit_id")]
        public int AtkUnitId { get; set; }
        [CompareField("atk_unit_nr")]
        public int AtkUnitNr { get; set; }
        [CompareField("def_id")]
        public int DefId { get; set; }
        [CompareField("def_unit_id")]
        public int DefUnitId { get; set; }
        [CompareField("def_unit_nr")]
        public int DefUnitNr { get; set; }
        [CompareField("elimination_nr")]
        public int EliminationNr { get; set; }
        [CompareField("ForcePointsEliminations")]
        public int ForcePointsEliminations { get; set; }


        public Dictionary<string, object?> GetParameters()
        {
            return new Dictionary<string, object?>
            {
                { "ELIMINATION_ID", EliminationId },
                { "MOVE_ID", MoveId },
                { "TEAM_ID", TeamId },
                { "ATK_ID", AtkId },
                { "ATK_UNIT_ID", AtkUnitId },
                { "ATK_UNIT_NR", AtkUnitNr },
                { "DEF_ID", DefId },
                { "DEF_UNIT_ID", DefUnitId },
                { "DEF_UNIT_NR", DefUnitNr },
                { "ELIMINATION_NR", EliminationNr },
                { "FORCEPOINTSELIMINATIONS", ForcePointsEliminations }
            };
        }
    }
}